# $EPIC: public_notice,v 1.3 2002/08/20 01:57:38 kitambi Exp $
Synopsis:
   on [<modes>]public_notice [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever a NOTICE is sent to any channel the
   client is on from someone not actually on that channel.

   This hook will not be thrown if a matching ON GENERAL_NOTICE hook
   is being used in silent mode. ON GENERAL_NOTICE and ON PUBLIC_NOTICE 
   are mutually exclusive.

Parameters:
   $0    nickname sending message
   $1    channel sent to
   $2-   text of message

Examples:
   To distinguish NOTICEs sent to the current channel vs. other channels:
      on ^public_notice "*" {
         if ( [$1] == C ) {
            echo +$0+ $2-
         } {
            echo +$0:$1+ $2-
         }
      }

See Also:
   notice(1); on(5) notice; on(5) general_notice

Restrictions:
   The client does not permit any automated messages to be sent in response
   to a NOTICE.  Any attempt will result in an error.  The whole point of
   this is to prevent loops between clients.
